GNU bug report logs - #45799
28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; dated Mon, 11 Jan 2021 19:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 14:38:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 09:38:23 2021
Received: from localhost ([127.0.0.1]:34760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzhHy-0004yW-UK
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:38:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzhHw-0004yI-Lq
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:38:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57086)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzhHq-0000LY-Qn; Wed, 13 Jan 2021 09:38:14 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1598
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzhHq-0005XK-7O; Wed, 13 Jan 2021 09:38:14 -0500
Date: Wed, 13 Jan 2021 16:38:12 +0200
Message-Id: <83a6tcdhrf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mauro Aranda <maurooaranda@HIDDEN>
In-Reply-To: <5ffef033.1c69fb81.6dccc.5233@HIDDEN> (message from Mauro
 Aranda on Wed, 13 Jan 2021 10:05:53 -0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
 <X/3WAGDCE7jCkIwf@HIDDEN> <83wnwic9rh.fsf@HIDDEN>
 <X/6Mu1KTsJm4RHJB@HIDDEN>
 <5ffef033.1c69fb81.6dccc.5233@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mauro Aranda <maurooaranda@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  45799 <at> debbugs.gnu.org
> Date: Wed, 13 Jan 2021 10:05:53 -0300
> 
> I don't see a bug here.  You have customized the default face in your
> init file, so that setting gets saved in a theme, the user theme, which
> takes precedence before all other themes you activate.  This is
> described in several places, like in the *Custom Themes* buffer itself:
> 
>  Note: Your custom settings take precedence over theme settings.
>        To migrate your settings into a theme, click here.
> 
> When you activate other themes, they do get activated, but your setting
> for the default face takes precedence, so it will not change, and that's
> why you have to unset your own customization of the default face, for
> the theme settings to kick in.

Agreed.

I also think Jean should try clicking on that "here" button, to
migrate his settings to a theme, then he could disable that theme and
enable another one, which should solve the problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 14:31:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 09:31:03 2021
Received: from localhost ([127.0.0.1]:34744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzhAs-0003jo-VJ
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:31:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzhAr-0003dT-Ls
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:31:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56981)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzhAg-0005fu-A3; Wed, 13 Jan 2021 09:30:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1112
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzhAG-0002Qc-3y; Wed, 13 Jan 2021 09:30:31 -0500
Date: Wed, 13 Jan 2021 16:30:17 +0200
Message-Id: <83bldsdi4m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-Reply-To: <E1kzYrm-0008WU-0g@HIDDEN> (message from Richard
 Stallman on Wed, 13 Jan 2021 00:38:46 -0500)
Subject: Re: bug#45799: 28.0.50;
 Faces shrink unreadable on GUI when foreground/background color set
 in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/3TqwODzLDgZWCV@HIDDEN>
 <831reqdqck.fsf@HIDDEN> <X/3gWK/36GkJaibJ@HIDDEN>
 <83v9c2c9nz.fsf@HIDDEN> <E1kzYrm-0008WU-0g@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Richard Stallman <rms@HIDDEN>
> Cc: bugs@HIDDEN, 45799 <at> debbugs.gnu.org
> Date: Wed, 13 Jan 2021 00:38:46 -0500
> 
>   > Someone will have to implement an infrastructure to allow users
>   > customize faces separately for each type of frame.  The current
>   > Customize machinery for faces was not supposed to allow that.
> 
> How many types of frames are there?  Just two (GUI and text)?  For
> just two, it could be that a user could customize each one fairly
> easily.  Make two files, .emacs.gui and .emacs.text, then have .emacs
> choose to load one or the other of those two.  Then put the
> customization for GUI terminals into .emacs.gui and that for text
> terminals into .emacs.text.

That doesn't do the job when you have a session which mixes GUI and
TTY frames, as in Jean's case.  Specifically, Emacs is started with
GUI frames, but then emacsclient requests a TTY frame in that session.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 13:06:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 08:06:05 2021
Received: from localhost ([127.0.0.1]:34622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzfqe-0000BT-Mk
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:06:04 -0500
Received: from mail-qv1-f48.google.com ([209.85.219.48]:39462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1kzfqc-0000As-HC
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:06:03 -0500
Received: by mail-qv1-f48.google.com with SMTP id s6so697978qvn.6
 for <45799 <at> debbugs.gnu.org>; Wed, 13 Jan 2021 05:06:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:to:cc:subject:references:date:in-reply-to
 :user-agent:mime-version;
 bh=bFVRjc7QbK5qV9+1vfxtvMkjnSCvE+mLdzvU9QAyJJk=;
 b=K578aWDBsIokKCHr94cauCm8OeMBSGG3SvaV+Qo94zTjZpsbfEuO1HYszLOnhUfLed
 WbGYHB8BzDe4AibSDli8bTqSyZjHZ79vv+74u6LEbSXYdfjg2Y0kr8bAvWN/5Kw5NpKu
 IUQH31WuYHateZ5C5zbg9JUAp4d10ur/MGsKUGeTbAB/TVY7ZIVxUP2WN5Dy72lrlPOC
 u4JwQCD5IVUybA3nBRe1opzkJiugKvI7AJepd/1R22iPIpx6WzbcUt8C+kGPmNLCFh2e
 Y7RxlP6p4GSQ7M1piVtZkT7N1H/4Zjdp9bG9QvvrnkE2BdqHDDMg7YGfH1Y3cEYJsgrj
 yS0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:to:cc:subject:references:date
 :in-reply-to:user-agent:mime-version;
 bh=bFVRjc7QbK5qV9+1vfxtvMkjnSCvE+mLdzvU9QAyJJk=;
 b=q9ncxHJLvLTC0tojOQmPZKVDTOBu5gVp0cxBjPYcXm4hZO/btASUF4WIJN2aMqCFTL
 hIoedkdWaMNj1KlFhqVkhUi0f5N6/ahWtp5FrXc2H6CRx9rmoApKZ01zmoP8O4tiCBLH
 u0XGu8fF/OK6KoLrJKdsHzt7306eET3sG8Z6wO8y2odLof4+b5sRvniCEdEbFn+vbERk
 KWHfkP67p0567VXE1XyaooLdZiM6Ms9RkmkEHLsF345l93d2pCiOnKbB97DoSLIBzw74
 AVfnp9XM1Uk14GbyGWZDKYlbJ0QIpq4nneRUrtXHdbX/FajGK2heXyX6oVldwc94dGQe
 ++VQ==
X-Gm-Message-State: AOAM531ilMeRM/Dl8/louPTsrI4lb3G3sCE1av6Bz4B9XqBxeZPem2xR
 Uq2ZvUOiROBPSezeBDobuZGd6zPgmqrylg==
X-Google-Smtp-Source: ABdhPJzN1O0tmyW/D7SS3y2vQyJp1DSkzwgA5RdMq8E26rJCyXB2V6GvSoOfmvxgDBXsljeSHZ945Q==
X-Received: by 2002:a05:6214:a14:: with SMTP id
 dw20mr2111803qvb.43.1610543156790; 
 Wed, 13 Jan 2021 05:05:56 -0800 (PST)
Received: from tbb-desktop ([201.213.132.172])
 by smtp.gmail.com with ESMTPSA id b12sm901287qtj.12.2021.01.13.05.05.54
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 13 Jan 2021 05:05:55 -0800 (PST)
Message-ID: <5ffef033.1c69fb81.6dccc.5233@HIDDEN>
X-Google-Original-Message-ID: <87eeipq95a.fsf@maurooaranda@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
 <X/3WAGDCE7jCkIwf@HIDDEN> <83wnwic9rh.fsf@HIDDEN>
 <X/6Mu1KTsJm4RHJB@HIDDEN>
Date: Wed, 13 Jan 2021 10:05:53 -0300
In-Reply-To: <X/6Mu1KTsJm4RHJB@HIDDEN> (Jean Louis's message of
 "Wed, 13 Jan 2021 09:01:31 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> Here is full description of all information that I think that applies
> there.
>
> In my init.el I have this customization related to faces.
>
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:inherit nil :extend nil :stipple nil :background "white" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 140 :width normal :foundry "GOOG" :family "Noto Sans Mono"))))
>  '(term ((t (:background "black" :foreground "white smoke" :height 1.2 :family "xos4 Terminus")))))
>

[...]

> With the above settings then if I would do just:
>
> M-x customize-themes
>
> and choose any theme, the foreground and background color would not
> change.
>
> It does not matter if I try changing themese from TUI or GUI.
>
> Example is adwaita and deeper-blue, if I click there, foreground and
> background do not change. So to make them change, I do: M-x
> customize-faces and choose `default' and then I unset foreground and
> background colors and click 0 to have it remembered for a session.
>
> As soon as I unset it, if I was in deeper-blue theme, then I get the
> deeper-blue background.

I don't see a bug here.  You have customized the default face in your
init file, so that setting gets saved in a theme, the user theme, which
takes precedence before all other themes you activate.  This is
described in several places, like in the *Custom Themes* buffer itself:

 Note: Your custom settings take precedence over theme settings.
       To migrate your settings into a theme, click here.

When you activate other themes, they do get activated, but your setting
for the default face takes precedence, so it will not change, and that's
why you have to unset your own customization of the default face, for
the theme settings to kick in.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 06:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 01:41:15 2021
Received: from localhost ([127.0.0.1]:33992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzZqE-00021I-EH
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 01:41:15 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:44011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzZqB-00020z-5u
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 01:41:12 -0500
Received: from localhost ([::ffff:41.202.241.6])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E076.000000005FFE95FF.00007280; Tue, 12 Jan 2021 23:41:03 -0700
Date: Wed, 13 Jan 2021 09:01:31 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/6Mu1KTsJm4RHJB@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
 <X/3WAGDCE7jCkIwf@HIDDEN> <83wnwic9rh.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83wnwic9rh.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Eli Zaretskii <eliz@HIDDEN> [2021-01-12 21:04]:
> > Date: Tue, 12 Jan 2021 20:01:52 +0300
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 45799 <at> debbugs.gnu.org
> > 
> > Now regarding the customize-themes, if I change themes by using
> > emacsclient -nw in xterm, then themes change normally in GUI, I can
> > observe it, but not that it reflects back in xterm. Maybe that is all
> > alright and good as you say.
> 
> Please be more specific: which themes you tried to enable in -nw, what
> happened, etc.  You are not giving enough details to investigate the
> issue.  In general, only a small number of themes are suitable for
> TTYs, but I'm not yet sure whether the problems you encountered are
> due to this or to something else.  Please help me understand the issue
> completely.

Here is full description of all information that I think that applies
there.

In my init.el I have this customization related to faces.

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :extend nil :stipple nil :background "white" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 140 :width normal :foundry "GOOG" :family "Noto Sans Mono"))))
 '(term ((t (:background "black" :foreground "white smoke" :height 1.2 :family "xos4 Terminus")))))

Side notes:

- I have found this happening since long time, it could be that I
  already filed bug on this

- normally I use GUI, not TUI, but when answering many emails one
  after the other, Emacs in XTerm (TUI) gives me more consistent
  interface as I do not need to switch my focus from XTerm to GUI.

- I do not install any outside themes, I just use the built-in Emacs
  themes, and I do not have any favorite. Often randomly I change the
  theme. 

Intention while working in XTerm is that by quickly changing the
theme to get a better contrast.

With the above settings then if I would do just:

M-x customize-themes

and choose any theme, the foreground and background color would not
change.

It does not matter if I try changing themese from TUI or GUI.

Example is adwaita and deeper-blue, if I click there, foreground and
background do not change. So to make them change, I do: M-x
customize-faces and choose `default' and then I unset foreground and
background colors and click 0 to have it remembered for a session.

As soon as I unset it, if I was in deeper-blue theme, then I get the
deeper-blue background.

Then I can also freely choose any of the themes below and foreground
and background will be changed by clicking on the theme.

I am unsure of it, but I think I remember times when I did not need to
unset foreground and background and theme switching would work
straight without unsetting.

My expectation is that I would not need to unset foreground/background
for default face and that theme should change it directly, but it does
not. 

[ ][ adwaita] -- Face colors similar to the default theme of Gnome 3 (Adwaita).
[ ][ deeper-blue] -- Face colors using a deep blue background.
[ ][ dichromacy] -- Face colors suitable for red/green color-blind users.
[ ][ leuven] -- (no documentation available)
[ ][ light-blue] -- Face colors utilizing a light blue background.
[ ][ manoj-dark] -- Very high contrast faces with a black background.
[ ][ misterioso] -- Predominantly blue/cyan faces on a dark cyan background.
[ ][ modus-operandi] -- Light theme that conforms with the highest accessibility
[ ][ modus-vivendi] -- Dark theme that conforms with the highest accessibility
[ ][ tango-dark] -- Face colors using the Tango palette (dark background).
[ ][ tango] -- Face colors using the Tango palette (light background).
[ ][ tsdh-dark] -- A dark theme used and created by Tassilo Horn.
[ ][ tsdh-light] -- A light Emacs theme.
[ ][ wheatgrass] -- High-contrast green/blue/brown faces on a black background.
[ ][ whiteboard] -- Face colors similar to markers on a whiteboard.
[X][ wombat] -- Medium-contrast faces with a dark gray background.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 05:46:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 00:46:13 2021
Received: from localhost ([127.0.0.1]:33948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzYyy-0000Kb-S9
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 00:46:13 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:42071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzYyw-0000KN-3y
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 00:46:11 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E076.000000005FFE891B.00006CFA; Tue, 12 Jan 2021 22:46:02 -0700
Date: Wed, 13 Jan 2021 08:45:29 +0300
From: Jean Louis <bugs@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/6I+ccDZE9IyMqM@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/3TqwODzLDgZWCV@HIDDEN> <831reqdqck.fsf@HIDDEN>
 <X/3gWK/36GkJaibJ@HIDDEN> <83v9c2c9nz.fsf@HIDDEN>
 <E1kzYrm-0008WU-0g@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <E1kzYrm-0008WU-0g@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Richard Stallman <rms@HIDDEN> [2021-01-13 08:39]: > [[[
 To any NSA and FBI agents reading my email: please consider ]]] > [[[ whether
 defending the US Constitution against all enemies, ]]] > [[[ fo [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Richard Stallman <rms@HIDDEN> [2021-01-13 08:39]:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
>   > Someone will have to implement an infrastructure to allow users
>   > customize faces separately for each type of frame.  The current
>   > Customize machinery for faces was not supposed to allow that.
> 
> How many types of frames are there?  Just two (GUI and text)?  For
> just two, it could be that a user could customize each one fairly
> easily.  Make two files, .emacs.gui and .emacs.text, then have .emacs
> choose to load one or the other of those two.  Then put the
> customization for GUI terminals into .emacs.gui and that for text
> terminals into .emacs.text.
> 
> It's not super-clean but it may be good enough.

I am using TUI by using emacsclient that speaks to GUI running
server. Do you think that may work with 2 customization files?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 13 Jan 2021 05:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 00:38:55 2021
Received: from localhost ([127.0.0.1]:33940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzYrv-00008q-Me
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 00:38:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kzYrt-00008c-U7
 for 45799 <at> debbugs.gnu.org; Wed, 13 Jan 2021 00:38:54 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50088)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kzYro-0000jv-8M; Wed, 13 Jan 2021 00:38:48 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kzYrm-0008WU-0g; Wed, 13 Jan 2021 00:38:46 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83v9c2c9nz.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 12
 Jan 2021 20:06:08 +0200)
Subject: Re: bug#45799: 28.0.50;
 Faces shrink unreadable on GUI when foreground/background color set
 in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/3TqwODzLDgZWCV@HIDDEN>
 <831reqdqck.fsf@HIDDEN> <X/3gWK/36GkJaibJ@HIDDEN>
 <83v9c2c9nz.fsf@HIDDEN>
Message-Id: <E1kzYrm-0008WU-0g@HIDDEN>
Date: Wed, 13 Jan 2021 00:38:46 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Someone will have to implement an infrastructure to allow users
  > customize faces separately for each type of frame.  The current
  > Customize machinery for faces was not supposed to allow that.

How many types of frames are there?  Just two (GUI and text)?  For
just two, it could be that a user could customize each one fairly
easily.  Make two files, .emacs.gui and .emacs.text, then have .emacs
choose to load one or the other of those two.  Then put the
customization for GUI terminals into .emacs.gui and that for text
terminals into .emacs.text.

It's not super-clean but it may be good enough.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 18:18:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:18:37 2021
Received: from localhost ([127.0.0.1]:33079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOFY-0002vF-QJ
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:18:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzOFX-0002v0-4e
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:18:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37110)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzOFQ-0001BD-GK; Tue, 12 Jan 2021 13:18:29 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2168
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzOFP-00068j-OO; Tue, 12 Jan 2021 13:18:28 -0500
Date: Tue, 12 Jan 2021 20:18:41 +0200
Message-Id: <83sg76c932.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/3iduMD8a1M5O/6@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 20:55:02 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
 <X/3QKfWgiYOjIQq4@HIDDEN>
 <834kjmdqrh.fsf@HIDDEN> <X/3iduMD8a1M5O/6@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 20:55:02 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> > You didn't unset the colors, you've customized the default face.
> 
> Yes, I see.
> 
> But if default face on GUI 113 and on TUI 1, then user shall not get 1
> on TUI to customize also GUI to be 1. Can we agree on that?

This is not specific to TTY frames vs GUI frames.  You will have the
same problem if some frames use larger fonts for some reason: using
"M-x customize-face" will change the default face on _all_ of the
frames, and thus shrink the font size on the frames that used the
larger fonts.

Where does this end?

You are perceiving customize-face as a means for customizing the face
only on some frames, but that is not how that feature works, it
changes the faces globally, and for a good reason: Custom was invented
for users who want to avoid customizing Emacs in Lisp, so Custom
supports only simple use cases, and tries not to confuse the users by
providing too much flexibility and too much power.

If you want selective customizations, you must do that not via
customize-face.

> In my opinion if Emacs strategy on console is to display console's
> font's size then better affect only console even if there is no real
> effect, rather that then affecting the GUI and shrinking fonts to 1.

That's your opinion, and it's biased because you bumped into this
situation (quite unnecessarily, AFAIU).  the "usual" situations where
users invoke customize-face are very different.  What you intended to
do is not currently supported by customize-face, and I doubt that it
will ever be supported.

> With emacs -Q I cannot reproduce the theme settings. Problem is
> appearing when user has already set the foreground and background
> colors as then themes will not change those colors.

Then please try to come up with a simplest series of steps to
reproduce the problem with customize-themes.  There's some other
factor at work here, and we need to uncover it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 18:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:06:07 2021
Received: from localhost ([127.0.0.1]:33048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzO3S-0002au-Ql
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:06:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzO3P-0002aK-Nj
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:06:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36752)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzO3I-0005dK-Te; Tue, 12 Jan 2021 13:05:57 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1393
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzO3F-0004rx-U1; Tue, 12 Jan 2021 13:05:55 -0500
Date: Tue, 12 Jan 2021 20:06:08 +0200
Message-Id: <83v9c2c9nz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/3gWK/36GkJaibJ@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 20:46:00 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/3TqwODzLDgZWCV@HIDDEN>
 <831reqdqck.fsf@HIDDEN> <X/3gWK/36GkJaibJ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 20:46:00 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> So if the font on console is 1 then customization of the default face
> in console should not affect the GUI. Can we agree on that?

Someone will have to implement an infrastructure to allow users
customize faces separately for each type of frame.  The current
Customize machinery for faces was not supposed to allow that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 18:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:04:04 2021
Received: from localhost ([127.0.0.1]:33044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzO1U-0002X9-CB
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:04:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzO1Q-0002Wd-6L
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:04:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36693)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzO1J-00051P-Vg; Tue, 12 Jan 2021 13:03:54 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1260
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzO1E-00063j-Vh; Tue, 12 Jan 2021 13:03:51 -0500
Date: Tue, 12 Jan 2021 20:04:02 +0200
Message-Id: <83wnwic9rh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/3WAGDCE7jCkIwf@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 20:01:52 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN>
 <83lfcydw7j.fsf@HIDDEN> <X/3WAGDCE7jCkIwf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 20:01:52 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> Now regarding the customize-themes, if I change themes by using
> emacsclient -nw in xterm, then themes change normally in GUI, I can
> observe it, but not that it reflects back in xterm. Maybe that is all
> alright and good as you say.

Please be more specific: which themes you tried to enable in -nw, what
happened, etc.  You are not giving enough details to investigate the
issue.  In general, only a small number of themes are suitable for
TTYs, but I'm not yet sure whether the problems you encountered are
due to this or to something else.  Please help me understand the issue
completely.

> I think since more than 1 year, I often in GUI to first unset
> foreground and background as otherwise I could not change the
> theme.

Please describe the steps to reproduce, and please also tell what
exactly does "could not change the theme" mean.

> Do you think it is bug?

I don't know yet, although it sounds like it is.  More detail is
needed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 17:56:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 12:56:15 2021
Received: from localhost ([127.0.0.1]:33028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzNtu-0000EF-Pw
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:56:15 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:51385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzNts-0000De-Cz
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:56:13 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E075.000000005FFDE2B5.000015FE; Tue, 12 Jan 2021 10:56:05 -0700
Date: Tue, 12 Jan 2021 20:55:02 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/3iduMD8a1M5O/6@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
 <X/3QKfWgiYOjIQq4@HIDDEN> <834kjmdqrh.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <834kjmdqrh.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2021-01-12 20:11]: > > Date:
 Tue, 12 Jan 2021 19:36:57 +0300 > > From: Jean Louis <bugs@HIDDEN> >
 > Cc: 45799 <at> debbugs.gnu.org > > > > > This is a whole different p [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Eli Zaretskii <eliz@HIDDEN> [2021-01-12 20:11]:
> > Date: Tue, 12 Jan 2021 19:36:57 +0300
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 45799 <at> debbugs.gnu.org
> > 
> > > This is a whole different problem, one that I cannot reproduce.  For
> > > me, customize-themes works as documented: I can enable and disable any
> > > theme I want, and it works as I'd expect, including changes in colors.
> > > 
> > > However, you didn't tell how you used customize-themes, and what
> > > didn't work there, so I don't think we are talking about the same
> > > thing.
> > 
> > I have given the recipe how to reproduce. You say you cannot reproduce
> > it?
> 
> You didn't give the recipe for using customize-themes which you say
> doesn't work unless you unset the colors.  That was the reason you
> needed to unset the colors to begin with, right?  Or did I
> misunderstand you?

That was the reason. But not a problem described.

> Once again: unsetting colors as you did will affect the default face
> on all frames, which is not what you want.

Ideally I would like if I unset colors in console or GUI, that it
affects all frames. Not one frame.

I could see you have idea of setting up one frame, but that was never
my idea, and I never yet desired to do so. Just to inform you of
user's pattern of thinking.

> So if you really need ti change the default colors, I suggest using
> set-face-foreground and set-face-background, which can be told to
> change the colors only for a certain frame.

That is alright as workaround and it solves temporarily some
problems. But doing that is difficult as on console some letters will
disappear, one has to do blind job.

set-foreground-color white will whiten many things and then I have to
do blind set-background-color black. With "blind" I mean that many
letters I will not be able to read as some have been already set white.

> And if you don't need to change the colors, but need
> customize-themes to work, then let's talk about your problem with
> customize-themes, and forget about changing the default face, which
> you say was just a workaround.

I prefer quickly changing a theme rather then foreground/background
one by one. But I reported bug for other users more than for me
personally. 

> > > It's not a bug, it's a cockpit error: you yourself did something that
> > > has this effect, and you did it globally.  Customize is limited to
> > > changing faces globally, on all frames, existing and future ones; if
> > > that's not what you want, don't use Customize.
> > 
> > So you say if I unset foreground color by using emacsclient in
> > console, it is just fine that all the fonts in GUI are shrinked?
> 
> You didn't unset the colors, you've customized the default face.

Yes, I see.

But if default face on GUI 113 and on TUI 1, then user shall not get 1
on TUI to customize also GUI to be 1. Can we agree on that?

In my opinion if Emacs strategy on console is to display console's
font's size then better affect only console even if there is no real
effect, rather that then affecting the GUI and shrinking fonts to 1.

> > I did not shrink the faces and I did not unset settings of fonts. Why
> > is then font changing? It is not logical to say that should be default
> > behavior.
> 
> You are using Customize for a job for which it wasn't intended.  Font
> size problems aside, using Customize like that will never do what you
> want.  Why do you insist on using a command for a job that is not what
> you want?

I do not insist, I use what I think I have as an option to use. If I
wish to change the theme I cannot change it because foreground and
background colors first need to be unset, you say customize, but for
me it is unsetting as I remove the [X] into empty [ ] and apply it for
current session, only then I can customize the theme.

By attempting to do so, faces shrunk and I did not know it is because
of font being 1 pt.

With emacs -Q I cannot reproduce the theme settings. Problem is
appearing when user has already set the foreground and background
colors as then themes will not change those colors.

Is that maybe default behavior?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 17:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 12:46:14 2021
Received: from localhost ([127.0.0.1]:33010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzNkE-0008PH-Bk
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:46:14 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:49565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzNkA-0008Ou-5Z
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:46:12 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E075.000000005FFDE05B.00001477; Tue, 12 Jan 2021 10:46:03 -0700
Date: Tue, 12 Jan 2021 20:46:00 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/3gWK/36GkJaibJ@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/3TqwODzLDgZWCV@HIDDEN> <831reqdqck.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <831reqdqck.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2021-01-12 20:21]: > > Date:
 Tue, 12 Jan 2021 19:51:55 +0300 > > From: Jean Louis <bugs@HIDDEN> >
 > Cc: 45799 <at> debbugs.gnu.org > > > > When I however, entered from [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Eli Zaretskii <eliz@HIDDEN> [2021-01-12 20:21]:
> > Date: Tue, 12 Jan 2021 19:51:55 +0300
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 45799 <at> debbugs.gnu.org
> > 
> > When I however, entered from xterm, from console mode with
> > emacsclient -nw than after M-x customize-faces default I can see that
> > height is 1 point. And it is set to 1
> > 
> >    [X] Height: Value Menu Height in 1/10 pt: 1                                  
> > 
> > that is what I see if I enter customize-faces from console by using
> > server.
> > 
> >    [X] Height: Value Menu Height in 1/10 pt: 113
> > 
> > Is that normal behavior according to you?
> 
> Yes.  Everything is 1 pixel on a TTY frame.  That's why it's a bad
> idea to customize faces on a TTY frame using "M-x customize-face".

Yes, and no. I use GUI mostly but there are ways why I need emacs on
console, and often themes make the console less readable or contrast
is not good enough. It may be bad idea, but I do not know what better
or else to do to customize console temporarily.

> > It does not sound logical that Height on console should be displayed
> > as 1 as that does not relate to console height
> 
> Emacs has no way of knowing the size of font on text-mode frames, so
> it counts it as 1.  That's the lowest granularity of text size on TTY
> frames, as far as Emacs is concerned, as it cannot reference partial
> character width or height in text mode.  The height of each text line
> is 1 and the width of every character is 1 (with the exception of
> double-width characters, whose width is 2).

OK I understand. Just it is not visible to user. I was not thinking of
height, I just wanted to have some better contrast and missed to see
that height on console is 1.

Still there is problem. You basically say "it is bad idea" advising me
and users to rather avoid the issue on hand.

The issue is that users are allowed to customize faces on console and
that such customization does affect GUI in the same time.

As if Emacs pulls some default for console such as 1, then it should
not affect GUI, but console only.

Or other solution would be to split settings and tell user that
specific customization of face height is for GUI, and other line is
for TUI, something like that.

So if the font on console is 1 then customization of the default face
in console should not affect the GUI. Can we agree on that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 17:20:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 12:20:53 2021
Received: from localhost ([127.0.0.1]:32990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzNLh-0007jg-Lq
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:20:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzNLg-0007jR-4y
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:20:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35759)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzNLX-00070u-2L; Tue, 12 Jan 2021 12:20:46 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2335
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzNL3-0006HW-9E; Tue, 12 Jan 2021 12:20:26 -0500
Date: Tue, 12 Jan 2021 19:20:27 +0200
Message-Id: <831reqdqck.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/3TqwODzLDgZWCV@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 19:51:55 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN>
 <83zh1fdxn1.fsf@HIDDEN> <X/3TqwODzLDgZWCV@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 19:51:55 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> When I however, entered from xterm, from console mode with
> emacsclient -nw than after M-x customize-faces default I can see that
> height is 1 point. And it is set to 1
> 
>    [X] Height: Value Menu Height in 1/10 pt: 1                                  
> 
> that is what I see if I enter customize-faces from console by using
> server.
> 
>    [X] Height: Value Menu Height in 1/10 pt: 113
> 
> Is that normal behavior according to you?

Yes.  Everything is 1 pixel on a TTY frame.  That's why it's a bad
idea to customize faces on a TTY frame using "M-x customize-face".

> It does not sound logical that Height on console should be displayed
> as 1 as that does not relate to console height

Emacs has no way of knowing the size of font on text-mode frames, so
it counts it as 1.  That's the lowest granularity of text size on TTY
frames, as far as Emacs is concerned, as it cannot reference partial
character width or height in text mode.  The height of each text line
is 1 and the width of every character is 1 (with the exception of
double-width characters, whose width is 2).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 17:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 12:11:28 2021
Received: from localhost ([127.0.0.1]:32975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzNCZ-0007UG-T5
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:11:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzNCX-0007Tz-Qd
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:11:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35442)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzNCR-0003G9-2D; Tue, 12 Jan 2021 12:11:19 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1787
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzNCQ-0005Jz-Gt; Tue, 12 Jan 2021 12:11:18 -0500
Date: Tue, 12 Jan 2021 19:11:30 +0200
Message-Id: <834kjmdqrh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/3QKfWgiYOjIQq4@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 19:36:57 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN>
 <83lfcydw7j.fsf@HIDDEN> <X/3QKfWgiYOjIQq4@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 19:36:57 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> > This is a whole different problem, one that I cannot reproduce.  For
> > me, customize-themes works as documented: I can enable and disable any
> > theme I want, and it works as I'd expect, including changes in colors.
> > 
> > However, you didn't tell how you used customize-themes, and what
> > didn't work there, so I don't think we are talking about the same
> > thing.
> 
> I have given the recipe how to reproduce. You say you cannot reproduce
> it?

You didn't give the recipe for using customize-themes which you say
doesn't work unless you unset the colors.  That was the reason you
needed to unset the colors to begin with, right?  Or did I
misunderstand you?

Once again: unsetting colors as you did will affect the default face
on all frames, which is not what you want.  So if you really need ti
change the default colors, I suggest using set-face-foreground and
set-face-background, which can be told to change the colors only for a
certain frame.  And if you don't need to change the colors, but need
customize-themes to work, then let's talk about your problem with
customize-themes, and forget about changing the default face, which
you say was just a workaround.

> So if I would use customize-themes without unsetting of foreground and
> background color, I would not see much of changes in console, as
> colors would not change.

Please show a recipe for such a failure in customize-themes, starting
with "emacs -Q".

> > So I don't think I understand your problem, and if the only reason for
> > customizing faces on a TTY frame was that customize-themes didn't work
> > for you, we should talk about the latter, and you should begin with
> > describing how customize-themes doesn't work for you.
> 
> See above. But the recipe and bug is not really related to
> customize-themes, as I did not use it in the recipe.

AFAIU, it _is_ related, because you explained that you didn't really
need to change the colors, except as a workaround for a problem you
have with customize-themes.

> > It's not a bug, it's a cockpit error: you yourself did something that
> > has this effect, and you did it globally.  Customize is limited to
> > changing faces globally, on all frames, existing and future ones; if
> > that's not what you want, don't use Customize.
> 
> So you say if I unset foreground color by using emacsclient in
> console, it is just fine that all the fonts in GUI are shrinked?

You didn't unset the colors, you've customized the default face.

> I did not shrink the faces and I did not unset settings of fonts. Why
> is then font changing? It is not logical to say that should be default
> behavior.

You are using Customize for a job for which it wasn't intended.  Font
size problems aside, using Customize like that will never do what you
want.  Why do you insist on using a command for a job that is not what
you want?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 17:06:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 12:06:11 2021
Received: from localhost ([127.0.0.1]:32970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzN7T-0007M8-6q
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:06:11 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:34055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzN7S-0007Lm-4M
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 12:06:10 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E075.000000005FFDD6FB.00000C7C; Tue, 12 Jan 2021 10:06:02 -0700
Date: Tue, 12 Jan 2021 20:01:52 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/3WAGDCE7jCkIwf@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83lfcydw7j.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I hope you understood it all about the shrinkage and that
 it comes from 1 pt face that is displayed if I enter settings through
 emacsclient
 in console mode with -nw Now regarding the customize-themes, if I change
 themes by using emacsclient -nw in xterm, then themes change normally in GUI, 
 I can observe it, but not that it reflects back in xterm. Maybe that is al
 [...] Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

I hope you understood it all about the shrinkage and that it comes
from 1 pt face that is displayed if I enter settings through
emacsclient in console mode with -nw

Now regarding the customize-themes, if I change themes by using
emacsclient -nw in xterm, then themes change normally in GUI, I can
observe it, but not that it reflects back in xterm. Maybe that is all
alright and good as you say.

I think since more than 1 year, I often in GUI to first unset
foreground and background as otherwise I could not change the
theme. This is same problem and it is observable without -Q, with my
configuration. But I think my configuration should not influence
it.

Should it? I think it should not. Because whatever my configuration
was then the new theme should overwrite foreground and background
colors, but it does not.

Do you think it is bug?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 16:56:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 11:56:12 2021
Received: from localhost ([127.0.0.1]:32957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzMxn-00073g-Ow
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 11:56:12 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:34669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzMxm-00073T-81
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 11:56:10 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E075.000000005FFDD4A3.00000A49; Tue, 12 Jan 2021 09:56:02 -0700
Date: Tue, 12 Jan 2021 19:51:55 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/3TqwODzLDgZWCV@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN>
 <83zh1fdxn1.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83zh1fdxn1.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I have researched more. I am entering into this problem as
 I was used to enter M-x customize-faces default from GUI and I was used that
 GUI face height was by some default and it stays so. When I however, entered
 from xterm,
 from console mode with emacsclient -nw than after M-x customize-faces
 default I can see that height is 1 point. And it is set to 1 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

I have researched more. I am entering into this problem as I was used
to enter M-x customize-faces default from GUI and I was used that GUI
face height was by some default and it stays so.

When I however, entered from xterm, from console mode with
emacsclient -nw than after M-x customize-faces default I can see that
height is 1 point. And it is set to 1

   [X] Height: Value Menu Height in 1/10 pt: 1                                  

that is what I see if I enter customize-faces from console by using
server.

   [X] Height: Value Menu Height in 1/10 pt: 113

Is that normal behavior according to you?

It does not sound logical that Height on console should be displayed
as 1 as that does not relate to console height, I just guess so. I
think console height cannot be changed by Emacs. So if Emacs is
displaying height as 1 in customize-faces default in console, that is
not proper in my opinion.

The other issue about changing themes from console, let me verify that
one better and report back.

Jean




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 16:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 11:41:14 2021
Received: from localhost ([127.0.0.1]:32943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzMjK-0006dL-Hi
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 11:41:14 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:51595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kzMjG-0006cw-JO
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 11:41:13 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E074.000000005FFDD11F.0000068D; Tue, 12 Jan 2021 09:41:02 -0700
Date: Tue, 12 Jan 2021 19:36:57 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/3QKfWgiYOjIQq4@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN> <83zh1fdxn1.fsf@HIDDEN>
 <X/0OoeQxiT4jpXDc@HIDDEN> <83lfcydw7j.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83lfcydw7j.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2021-01-12 18:14]: > > Date:
 Tue, 12 Jan 2021 05:51:13 +0300 > > From: Jean Louis <bugs@HIDDEN> >
 > Cc: 45799 <at> debbugs.gnu.org > > > > - I had to unset foreground a [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Eli Zaretskii <eliz@HIDDEN> [2021-01-12 18:14]:
> > Date: Tue, 12 Jan 2021 05:51:13 +0300
> > From: Jean Louis <bugs@HIDDEN>
> > Cc: 45799 <at> debbugs.gnu.org
> > 
> > - I had to unset foreground and background colors, as I wanted to use
> >   emacsclient -nw in xterm but the current theme was not quite
> >   readable in console
> > 
> > - to change the theme with customize-themes, I had to unset foreground
> >   and background color, as otherwise changing theme simply does not
> >   work. This may be another bug, and I do so for many months as a
> >   workaround to change the them. Usually I unset the
> >   foreground/background color, even if under emacs -Q and only then I
> >   am able to see the changes of the changing themes function
> >   customize-themes
> > 
> > - but this time I had both GUI and console, unsetting
> >   foreground/background color in console, made GUI have miniscule
> >   faces or fonts
> 
> This is a whole different problem, one that I cannot reproduce.  For
> me, customize-themes works as documented: I can enable and disable any
> theme I want, and it works as I'd expect, including changes in colors.
> 
> However, you didn't tell how you used customize-themes, and what
> didn't work there, so I don't think we are talking about the same
> thing.

I have given the recipe how to reproduce. You say you cannot reproduce
it? My build is pretty recent from development and I have reproduced
it by using emacs -Q, basically you would have 2 windows, one is
Emacs, other is xterm and in xterm I was unsetting the colors.

In that recipe, I have not used customize-themes but that was
intention.

So if I would use customize-themes without unsetting of foreground and
background color, I would not see much of changes in console, as
colors would not change.

> So I don't think I understand your problem, and if the only reason for
> customizing faces on a TTY frame was that customize-themes didn't work
> for you, we should talk about the latter, and you should begin with
> describing how customize-themes doesn't work for you.

See above. But the recipe and bug is not really related to
customize-themes, as I did not use it in the recipe.

> > When the GUI practically disappears due to shrinkage of faces, that
> > still seem a bug
> 
> It's not a bug, it's a cockpit error: you yourself did something that
> has this effect, and you did it globally.  Customize is limited to
> changing faces globally, on all frames, existing and future ones; if
> that's not what you want, don't use Customize.

So you say if I unset foreground color by using emacsclient in
console, it is just fine that all the fonts in GUI are shrinked?

I did not shrink the faces and I did not unset settings of fonts. Why
is then font changing? It is not logical to say that should be default
behavior.

Let me make a video of it.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 15:13:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 10:13:48 2021
Received: from localhost ([127.0.0.1]:32833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzLMi-0004DE-DD
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 10:13:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzLMg-0004Cw-DW
 for 45799 <at> debbugs.gnu.org; Tue, 12 Jan 2021 10:13:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33001)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzLMb-0002CF-6o; Tue, 12 Jan 2021 10:13:41 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2487
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzLMZ-0008NQ-L0; Tue, 12 Jan 2021 10:13:40 -0500
Date: Tue, 12 Jan 2021 17:13:52 +0200
Message-Id: <83lfcydw7j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X/0OoeQxiT4jpXDc@HIDDEN> (message from Jean Louis
 on Tue, 12 Jan 2021 05:51:13 +0300)
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
References: <86zh1fqmwn.fsf@HIDDEN>
 <83zh1fdxn1.fsf@HIDDEN> <X/0OoeQxiT4jpXDc@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 12 Jan 2021 05:51:13 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 45799 <at> debbugs.gnu.org
> 
> - I had to unset foreground and background colors, as I wanted to use
>   emacsclient -nw in xterm but the current theme was not quite
>   readable in console
> 
> - to change the theme with customize-themes, I had to unset foreground
>   and background color, as otherwise changing theme simply does not
>   work. This may be another bug, and I do so for many months as a
>   workaround to change the them. Usually I unset the
>   foreground/background color, even if under emacs -Q and only then I
>   am able to see the changes of the changing themes function
>   customize-themes
> 
> - but this time I had both GUI and console, unsetting
>   foreground/background color in console, made GUI have miniscule
>   faces or fonts

This is a whole different problem, one that I cannot reproduce.  For
me, customize-themes works as documented: I can enable and disable any
theme I want, and it works as I'd expect, including changes in colors.

However, you didn't tell how you used customize-themes, and what
didn't work there, so I don't think we are talking about the same
thing.

So I don't think I understand your problem, and if the only reason for
customizing faces on a TTY frame was that customize-themes didn't work
for you, we should talk about the latter, and you should begin with
describing how customize-themes doesn't work for you.

> When the GUI practically disappears due to shrinkage of faces, that
> still seem a bug

It's not a bug, it's a cockpit error: you yourself did something that
has this effect, and you did it globally.  Customize is limited to
changing faces globally, on all frames, existing and future ones; if
that's not what you want, don't use Customize.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 12 Jan 2021 02:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 21:56:14 2021
Received: from localhost ([127.0.0.1]:58830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kz9qv-00005B-Tt
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 21:56:14 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:35831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kz9qs-0008WT-Pm
 for 45799 <at> debbugs.gnu.org; Mon, 11 Jan 2021 21:56:12 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000003C8BD.000000005FFD0FC3.00005E3C; Mon, 11 Jan 2021 19:56:02 -0700
Date: Tue, 12 Jan 2021 05:51:13 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when
 foreground/background color set in TUI
Message-ID: <X/0OoeQxiT4jpXDc@HIDDEN>
References: <86zh1fqmwn.fsf@HIDDEN>
 <83zh1fdxn1.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83zh1fdxn1.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2021-01-11 23:31]: > > From:
 Jean Louis <bugs@HIDDEN> > > Date: Mon, 11 Jan 2021 22:44:08 +0300 >
 > > > When I use `emacsclient -c -nw' for `customize-faces', `def [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.38 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Eli Zaretskii <eliz@HIDDEN> [2021-01-11 23:31]:
> > From: Jean Louis <bugs@HIDDEN>
> > Date: Mon, 11 Jan 2021 22:44:08 +0300
> > 
> > When I use `emacsclient -c -nw' for `customize-faces', `default' and
> > unset foreground and background color, the GUI faces shrink to miniscule
> > sizes that I cannot even read any more.
> 
> Don't do that: Customize changes the faces globally, not only for the
> frame where you do it.  It's the wrong tool if you want to customize
> faces on some frames, but not others.  Use set-face-foreground and its
> ilk.

For your and my better understanding:

- I had to unset foreground and background colors, as I wanted to use
  emacsclient -nw in xterm but the current theme was not quite
  readable in console

- to change the theme with customize-themes, I had to unset foreground
  and background color, as otherwise changing theme simply does not
  work. This may be another bug, and I do so for many months as a
  workaround to change the them. Usually I unset the
  foreground/background color, even if under emacs -Q and only then I
  am able to see the changes of the changing themes function
  customize-themes

- but this time I had both GUI and console, unsetting
  foreground/background color in console, made GUI have miniscule
  faces or fonts

Thus my intention is and was not to change the background and
foreground color, rather to unset it so that I can change the theme.

When the GUI practically disappears due to shrinkage of faces, that
still seem a bug, and shrinking faces are to me as user not related to
unsetting of foreground and background colors.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at 45799 <at> debbugs.gnu.org:


Received: (at 45799) by debbugs.gnu.org; 11 Jan 2021 20:30:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 15:30:44 2021
Received: from localhost ([127.0.0.1]:58384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kz3pr-0004jM-So
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:30:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kz3pp-0004j5-AE
 for 45799 <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:30:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44731)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kz3pi-0001uB-JH; Mon, 11 Jan 2021 15:30:35 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1169
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kz3ph-00052y-EK; Mon, 11 Jan 2021 15:30:34 -0500
Date: Mon, 11 Jan 2021 22:30:42 +0200
Message-Id: <83zh1fdxn1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <86zh1fqmwn.fsf@HIDDEN> (message from Jean Louis on
 Mon, 11 Jan 2021 22:44:08 +0300)
Subject: Re: bug#45799: 28.0.50;
 Faces shrink unreadable on GUI when foreground/background color set
 in TUI
References: <86zh1fqmwn.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45799
Cc: 45799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jean Louis <bugs@HIDDEN>
> Date: Mon, 11 Jan 2021 22:44:08 +0300
> 
> When I use `emacsclient -c -nw' for `customize-faces', `default' and
> unset foreground and background color, the GUI faces shrink to miniscule
> sizes that I cannot even read any more.

Don't do that: Customize changes the faces globally, not only for the
frame where you do it.  It's the wrong tool if you want to customize
faces on some frames, but not others.  Use set-face-foreground and its
ilk.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2021 19:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 14:46:48 2021
Received: from localhost ([127.0.0.1]:58325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kz39M-0003bs-9Y
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 14:46:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:54530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1kz39H-0003bh-7o
 for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 14:46:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1kz39G-0005vY-UZ
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 14:46:42 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:58611)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1kz39E-00040i-O7
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 14:46:42 -0500
Received: from localhost ([::ffff:197.157.0.38])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000002DFE5.000000005FFCAAFB.00002F7B; Mon, 11 Jan 2021 12:46:03 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Faces shrink unreadable on GUI when foreground/background
 color set in TUI
X-Hashcash: 1:20:210111:bug-gnu-emacs@HIDDEN::CxUBQyIK9i2Qejgb:00000000000000000000000000000000000000001wJW
Date: Mon, 11 Jan 2021 22:44:08 +0300
Message-ID: <86zh1fqmwn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_SORBS_WEB=1.5,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)


Problem:
=3D=3D=3D=3D=3D=3D=3D=3D

When I use `emacsclient -c -nw' for `customize-faces', `default' and
unset foreground and background color, the GUI faces shrink to miniscule
sizes that I cannot even read any more.

How to reproduce:

1. emacs -Q

2. M-x server-start

3. open xterm

4. $ emacsclient -c -nw

5. within emacsclient in xterm: M-x customize-faces, then `default'

6. Move to foreground, background and unset it

7. save settings for the session

8. At this point the GUI shrinks its faces to something unreadable



In GNU Emacs 28.0.50 (build 4, x86_64-pc-linux-gnu, X toolkit, cairo versio=
n 1.14.8, Xaw3d scroll bars)
 of 2021-01-01 built on protected.rcdrun.com
Repository revision: 30a1d5da7a43d51a97cbe8d91add9a26dd99df90
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=3D/package/text/emacs --with-modules
 --with-x-toolkit=3Dlucid
 PKG_CONFIG_PATH=3D/home/data1/protected/GNUstep/Library/Libraries/pkgconfi=
g:/usr/lib/pkgconfig'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=3Dexwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils iso-transl tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 55676 7783)
 (symbols 48 7329 0)
 (strings 32 20390 2395)
 (string-bytes 1 650558)
 (vectors 16 13010)
 (vector-slots 8 225748 23461)
 (floats 8 26 39)
 (intervals 56 256 0)
 (buffers 984 12))

--=20
Thanks,
Jean Louis
=E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45799; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Jan 2021 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.